<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly
?>
<script type="text/javascript">
    jQuery(document).ready(function () {
        jQuery('#amazilon-tabcontent-generator-1 .apn[type="checkbox"],#amazilon-tabcontent-generator-1 select.apn').each(function (index, value) {
            jQuery(this).change(apnReload);
        });
        jQuery('#amazilon-tabcontent-generator-1 .apn[type="text"], #amazilon-tabcontent-generator-1 .apn[type="number"]').each(function (index, value) {
            jQuery(this).keyup(apnReload);
        });
        jQuery('#amazilon-tabcontent-generator-1 .amazilon-search-button').click(function () {
            apnSearch();
            return false;
        });
        jQuery('#amazilon-tabcontent-generator-1 .amazilon-shorten-button').click(apnShorten);
    });

    apnSearch = function () {
        jQuery('#amazilon-tabcontent-generator-1 .amazilon-search-results').show();
        jQuery('#amazilon-tabcontent-generator-1 .amazilon-search-results-inner').html('<img src="<?php echo admin_url( 'images/spinner.gif' );  ?>">');
        var data = {
            'action': 'amazilonSearch',
            'security': '<?php echo wp_create_nonce( 'amazilonCC' . date( 'Ym' ) ); ?>',
            'q': jQuery('#amazilon-tabcontent-generator-1 .amazilon-search').val(),
            'sIndex': jQuery('#amazilon-tabcontent-generator-1 .amazilon-search-sindex').val()
        };

        jQuery.post(ajaxurl, data, function (response) {
            jQuery('#amazilon-tabcontent-generator-1 .amazilon-search-results-inner').html(response);
            jQuery('#amazilon-tabcontent-generator-1 a.amazilon-search-result-entry').each(function (index, value) {
                jQuery(this).click(apnSetAsin).click(function () {
                    return false;
                });
            });
            jQuery('#amazilon-tabcontent-generator-1 .amazilon-search-results-inner').fadeIn();
        });
    }

    apnShorten = function () {
        var data = {
            'action': 'amazilonShorten',
            'security': '<?php echo wp_create_nonce( 'amazilonCC' . date( 'Ym' ) ); ?>',
            'scode': jQuery('#amazilon-tabcontent-generator-1 .apnAusgabe').val()
        };

        jQuery.post(ajaxurl, data, function (response) {
            var j = jQuery.parseJSON(response);
            if (j.status == 'ok') {
                jQuery('#amazilon-tabcontent-generator-1 input.amazilon-shortened-input').val(j.data);
                jQuery('#amazilon-tabcontent-generator-1 label.amazilon-shortened-label').show();
            } else {
                alert(j.msg);
            }
        });
    }

    apnSetAsin = function () {
        oAsin = jQuery('#amazilon-tabcontent-generator-1 .asin');
        if (jQuery('#amazilon-tabcontent-generator-1 .template').val() == 'vergleich') {
            oAsin.val(oAsin.val() + ',' + jQuery(this).data('asin'));
        } else {
            oAsin.val(jQuery(this).data('asin'));
        }
        oAsin.trigger('keyup');
        jQuery('#amazilon-tabcontent-generator-1 .amazilon-search-results').fadeOut();
    }

    apnReload = function () {
        jQuery('#amazilon-tabcontent-generator-1 label.amazilon-shortened-label').hide();
        var oAusgabe = jQuery('#amazilon-tabcontent-generator-1 .apnAusgabe');
        var sAsin = jQuery('#amazilon-tabcontent-generator-1 .asin').val();
        if (sAsin == '') {
            oAusgabe.val('<?php _e( 'Please insert an ASIN.', 'amazilon' ); ?>');
            return;
        }
        oAusgabe.val('');

        var bInfobox = jQuery('#amazilon-tabcontent-generator-1 .infobox').prop('checked');
        var bBewertung = jQuery('#amazilon-tabcontent-generator-1 .bewertung').prop('checked');
        var bBewertungText = jQuery('#amazilon-tabcontent-generator-1 .bewertung_text').prop('checked');
        var iFeatures = jQuery('#amazilon-tabcontent-generator-1 select.features').val();
        var iFeature1 = jQuery('#amazilon-tabcontent-generator-1 input.feature1').prop('checked');
        var iFeature2 = jQuery('#amazilon-tabcontent-generator-1 input.feature2').prop('checked');
        var iFeature3 = jQuery('#amazilon-tabcontent-generator-1 input.feature3').prop('checked');
        var iFeature4 = jQuery('#amazilon-tabcontent-generator-1 input.feature4').prop('checked');
        var iFeature5 = jQuery('#amazilon-tabcontent-generator-1 input.feature5').prop('checked');
        var iFmax = jQuery('#amazilon-tabcontent-generator-1 input.tpl-fmax').val();

        var bBildOhne = jQuery('#amazilon-tabcontent-generator-1 .bild_ohne').prop('checked');
        var iBildOhneNum = jQuery('#amazilon-tabcontent-generator-1 .bild_ohne_num').val();
        var iBildOhneSize = jQuery('#amazilon-tabcontent-generator-1 .bild_ohne_size').val();

        var bBildMit = jQuery('#amazilon-tabcontent-generator-1 .bild_mit').prop('checked');
        var iBildMitNum = jQuery('#amazilon-tabcontent-generator-1 .bild_mit_num').val();
        var iBildMitSize = jQuery('#amazilon-tabcontent-generator-1 .bild_mit_size').val();

        var bTitelProdukt = jQuery('#amazilon-tabcontent-generator-1 .titel_produkt').prop('checked');
        var bTitelProduktLink = jQuery('#amazilon-tabcontent-generator-1 .titel_produkt_link').prop('checked');
        var bLinkProdukt = jQuery('#amazilon-tabcontent-generator-1 .link_produkt').prop('checked');
        var sLinkText = jQuery('#amazilon-tabcontent-generator-1 .link_text').val();
        var sTracking = jQuery('#amazilon-tabcontent-generator-1 .tracking').val();

        var bPreis = jQuery('#amazilon-tabcontent-generator-1 .preis').prop('checked');
        var bStreichpreis = jQuery('#amazilon-tabcontent-generator-1 .streichpreis').prop('checked');
        var bStreichpreisDel = jQuery('#amazilon-tabcontent-generator-1 .streichpreis_del').prop('checked');
        var bStreichpreisDelRed = jQuery('#amazilon-tabcontent-generator-1 .streichpreis_del_red').prop('checked');
        var bRabattEuro = jQuery('#amazilon-tabcontent-generator-1 .rabatt_euro').prop('checked');
        var bRabattProzent = jQuery('#amazilon-tabcontent-generator-1 .rabatt_prozent').prop('checked');

        var bPrime = jQuery('#amazilon-tabcontent-generator-1 input.prime').prop('checked');
        var bPrimePic = jQuery('#amazilon-tabcontent-generator-1 input.prime_pic').prop('checked');
        var sPrimeBild = jQuery('#amazilon-tabcontent-generator-1 input.prime_bild').val();
        var bPrimePicLink = jQuery('#amazilon-tabcontent-generator-1 input.prime_pic_link').prop('checked');

        var bStand = jQuery('#amazilon-tabcontent-generator-1 .stand').prop('checked');


        if (bInfobox) {
            oAusgabe.val(oAusgabe.val() + '[apn typ="infobox"]' + "\n");
        }
        if (bBewertung) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="bewertung"]' + "\n");
        }
        if (bBewertungText) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="bewertung" template="text"]' + "\n");
        }
        if (iFeature1) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="feature" tpl-num="1"' + (iFmax > 0 && iFmax < 500 ? ' max="' + iFmax + '"' : '') + ']' + "\n");
        }
        if (iFeature2) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="feature" tpl-num="2"' + (iFmax > 0 && iFmax < 500 ? ' max="' + iFmax + '"' : '') + ']' + "\n");
        }
        if (iFeature3) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="feature" tpl-num="3"' + (iFmax > 0 && iFmax < 500 ? ' max="' + iFmax + '"' : '') + ']' + "\n");
        }
        if (iFeature4) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="feature" tpl-num="4"' + (iFmax > 0 && iFmax < 500 ? ' max="' + iFmax + '"' : '') + ']' + "\n");
        }
        if (iFeature5) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="feature" tpl-num="5"' + (iFmax > 0 && iFmax < 500 ? ' max="' + iFmax + '"' : '') + ']' + "\n");
        }
        if (iFeatures > 0) {
            sOut = '[apn asin="' + sAsin + '" typ="features" tpl-num="' + iFeatures + '"';
            if (iFmax > 0 && iFmax < 500) {
                sOut += ' tpl-max="' + iFmax + '"';
            }
            sOut += ']';

            oAusgabe.val(oAusgabe.val() + sOut + "\n");
        }
        if (bBildOhne && iBildOhneSize) {
            sOut = '';
            for (iSize = 0; iSize < iBildOhneSize.length; iSize++) {
                sOut += "\n" + '[apn asin="' + sAsin + '" typ="bild';
                if (iBildOhneSize[iSize] == '160') {
                    sOut += 'Medium';
                }
                if (iBildOhneSize[iSize] == '500') {
                    sOut += 'Large';
                }
                sOut += '" false=false]';
            }
            if (parseInt(iBildOhneNum) > 0) {
                for (i = 1; i <= parseInt(iBildOhneNum); i++) {
                    for (iSize = 0; iSize < iBildOhneSize.length; iSize++) {
                        sOut += "\n" + '[apn asin="' + sAsin + '" typ="bild';
                        if (iBildOhneSize[iSize] == '160') {
                            sOut += 'Medium';
                        }
                        if (iBildOhneSize[iSize] == '500') {
                            sOut += 'Large';
                        }
                        sOut += '" false=false tpl-num="' + i + '"]';
                    }
                }
            }
            oAusgabe.val(oAusgabe.val() + sOut.trim() + "\n");
        }
        if (bBildMit && iBildMitSize) {
            sOut = '';
            for (iSize = 0; iSize < iBildMitSize.length; iSize++) {
                sOut += "\n" + '[apn asin="' + sAsin + '" typ="link" true="$BILD';
                if (iBildMitSize[iSize] == '160') {
                    sOut += 'MEDIUM';
                }
                if (iBildMitSize[iSize] == '500') {
                    sOut += 'LARGE';
                }
                sOut += '"' + (sTracking != '' ? ' tag="' + sTracking + '"' : '') + ' false=false]';
            }
            if (parseInt(iBildMitNum) > 0) {
                for (i = 1; i <= parseInt(iBildMitNum); i++) {
                    for (iSize = 0; iSize < iBildMitSize.length; iSize++) {
                        sOut += "\n" + '[apn asin="' + sAsin + '" typ="link" true="$BILD';
                        if (iBildMitSize[iSize] == '160') {
                            sOut += 'MEDIUM';
                        }
                        if (iBildMitSize[iSize] == '500') {
                            sOut += 'LARGE';
                        }
                        sOut += '"' + (sTracking != '' ? ' tag="' + sTracking + '"' : '') + ' tpl-num="' + i + '"]';
                    }
                }
            }
            oAusgabe.val(oAusgabe.val() + sOut.trim() + "\n");
        }
        if (bTitelProdukt) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="titel" false="<?php esc_attr( _e( 'N/A',
				'amazilon' ) ); ?>"]' + "\n");
        }
        if (bTitelProduktLink) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="link" true="$TITEL"' + (sTracking != '' ? ' tag="' + sTracking + '"' : '') + ' false=""]' + "\n");
        }
        if (bLinkProdukt) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="link"' + (sLinkText != '' ? ' true="' + sLinkText.replace(/"/g, "'") + '"' : '') + (sTracking != '' ? ' tag="' + sTracking + '"' : '') + ' false=""]' + "\n");
        }
        if (bPreis) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="preis" false="<?php esc_attr( _e( 'N/A',
				'amazilon' ) ); ?>"]' + "\n");
        }
        if (bStreichpreis) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="streichpreis" false="<?php esc_attr( _e( 'N/A',
				'amazilon' ) ); ?>"]' + "\n");
        }
        if (bStreichpreisDel) {
            oAusgabe.val(oAusgabe.val() + '<del>[apn asin="' + sAsin + '" typ="streichpreis" false="<?php esc_attr( _e( 'N/A',
				'amazilon' ) ); ?>"]</del>' + "\n");
        }
        if (bStreichpreisDelRed) {
            oAusgabe.val(oAusgabe.val() + '<del style="color:#F00;">[apn asin="' + sAsin + '" typ="streichpreis" false="<?php esc_attr( _e( 'N/A',
				'amazilon' ) ); ?>"]</del>' + "\n");
        }
        if (bRabattEuro) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="rabatt" false=""]' + "\n");
        }
        if (bRabattProzent) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="rabatt" template="%" false=""]' + "\n");
        }
        if (bPrime) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="prime" true="Verfügbar" false="<?php esc_attr( _e( 'not available',
				'amazilon' ) ); ?>"]' + "\n");
        }
        if (bPrimePic && sPrimeBild != '') {
            oAusgabe.val(oAusgabe.val() + '[apnx asin="' + sAsin + '" typ="prime" false="<?php esc_attr( _e( 'not available',
				'amazilon' ) ); ?>"]<img src="' + sPrimeBild + '" alt="">[/apnx]' + "\n");
        }
        if (bPrimePicLink && sPrimeBild != '') {
            oAusgabe.val(oAusgabe.val() + '[apnx asin="' + sAsin + '" typ="prime" false="<?php esc_attr( _e( 'not available',
				'amazilon' ) ); ?>"]<a href="[apn asin=\'' + sAsin + '\' typ=\'url\']" target="_blank" rel="nofollow"><img src="' + sPrimeBild + '" alt=""></a>[/apnx]' + "\n");
        }
        if (bStand) {
            oAusgabe.val(oAusgabe.val() + '[apn asin="' + sAsin + '" typ="state" false="<?php esc_attr( _e( 'unknown',
				'amazilon' ) ); ?>"]' + "\n");
        }
    }
</script>
<h1><?php _e( 'Shortcode generator', 'amazilon' ); ?> - <?php _e( 'Amazilon', 'amazilon' ); ?></h1>

<div class="block">
    <p><?php _e( 'Put the product-ASIN into the field and select the Short Codes needed. You will recieve a list with finished ShortCodes. Mark, copy and insert the ShortCodes into your article.',
			'amazilon' ); ?></p>
    <p><b><?php _e( 'important NOTE', 'amazilon' ); ?>
            :</b> <?php _e( 'When generating ShortCodes containing HTML  (e.g. discount price crossed out, discount price red, Prime as picture), insert via "Text-Editor" instead of "Visuell-Editor" to Wordpress.',
			'amazilon' ); ?></p></div>
<div class="block">
    <p><b><?php _e( 'Search on Amazon', 'amazilon' ); ?></b><br/>
        <label for="amazilon-search" style="display: inline-block; width: 150px;"><?php _e( 'Searchterm',
				'amazilon' ); ?>: </label><input type="text" name="amazilon-search" class="amazilon-search" value=""
                                                 size="35" maxlength="" style="width: 350px;"><br/><label for="sIndex"
                                                                                                          style="width: 150px; display: inline-block;"><?php _e( 'Area',
				'amazilon' ); ?>: </label><select name="amazilon-search-sindex" class="amazilon-search-sindex"
                                                  style="width: 350px;"><?php $sIndexes = amazilonGetSearchindexes( 'de' );
			foreach ( $sIndexes AS $sIndex => $aEntry ) {
				echo '<option value="' . esc_attr( $sIndex ) . '">' . esc_attr( $aEntry['title'] ) . '</option>';
			} ?></select><br/>
        <label style="display: inline-block; width: 150px;">&nbsp;</label><a
                class="amazilon-search-button amazilon-button-3" href="#"
                style="width: initial;"><?php _e( 'Search on Amazon', 'amazilon' ); ?></a></p>
</div>

<div class="block amazilon-search-results" style="display: none; position: relative;"><a href="#"
                                                                                         onclick="jQuery('#amazilon-tabcontent-generator-1 .amazilon-search-results').fadeOut();"><span
                class="tb-close-icon"></span></a>
    <p><b><?php _e( 'Search results', 'amazilon' ); ?></b></p>
    <p><?php _e( 'Just click to select', 'amazilon' ); ?>:</p>
    <p class="amazilon-search-results-inner"></p></div>

<div class="block">
    <p>
        <label for="asin"
               style="display: inline-block; width: 300px;"><?php _e( 'Put in the wanted <a href="https://amazilon.com/faq/#asin" target="_blank">Produkt-ASIN</a>.',
				'amazilon' ); ?>:</label><input type="text" class="apn asin" name="asin" value="" size="35"
                                                maxlength=""><br/>
        <label for="tracking"
               style="display: inline-block; width: 300px;"><?php _e( 'Use an alternate Tracking-ID (Alternate-21) ',
				'amazilon' ); ?>:</label><input type="text" class="apn tracking" name="tracking" value="" size="35"
                                                maxlength="">
    </p></div>

<div class="block">
    <p><b><?php _e( 'General information', 'amazilon' ); ?></b><br/>
        <input type="checkbox" class="apn titel_produkt"
               value="v"><?php _e( 'Producttitle widthout a link to the Amazon product', 'amazilon' ); ?><br>
        <input type="checkbox" class="apn bewertung" value="v"><?php _e( 'Review (Stars)', 'amazilon' ); ?><br>
        <input type="checkbox" class="apn bewertung_text" value="v"><?php _e( 'Review (Text)', 'amazilon' ); ?><br>
        <input type="checkbox" class="apn infobox" value="v"><?php _e( 'Affiliate-Infobox', 'amazilon' ); ?>
        (<?php _e( 'Example', 'amazilon' ); ?>: <?php echo do_shortcode( '[apn typ="infobox"]' ); ?>)<br/>
        <br/>
        <b><?php _e( 'Bulletpoints ("Features")', 'amazilon' ); ?></b><br/>
        <input type="checkbox" class="apn feature1" value="v"><?php echo sprintf( __( 'Show Feature %d', 'amazilon' ),
			1 ); ?><br/>
        <input type="checkbox" class="apn feature2" value="v"><?php echo sprintf( __( 'Show Feature %d', 'amazilon' ),
			2 ); ?><br/>
        <input type="checkbox" class="apn feature3" value="v"><?php echo sprintf( __( 'Show Feature %d', 'amazilon' ),
			3 ); ?><br/>
        <input type="checkbox" class="apn feature4" value="v"><?php echo sprintf( __( 'Show Feature %d', 'amazilon' ),
			4 ); ?><br/>
        <input type="checkbox" class="apn feature5" value="v"><?php echo sprintf( __( 'Show Feature %d', 'amazilon' ),
			5 ); ?><br/>
		<?php _e( 'Show', 'amazilon' ); ?> <select class="apn features">
            <option value="0">- none -</option><?php
			for ( $iFeature = 1; $iFeature <= 5; $iFeature ++ ) {
				echo '<option value="' . (int) $iFeature . '">' . sprintf( _n( '%d Feature', '%d Features',
						(int) $iFeature, 'amazilon' ), $iFeature ) . '</option>';
			}
			?></select> <?php _e( 'as a list', 'amazilon' ); ?><br/>
		<?php _e( 'Shorten Features text length to max', 'amazilon' ); ?></label><input type="number" step="10" min="10"
                                                                                        max="500" class="apn tpl-fmax"
                                                                                        name="tpl-fmax"
                                                                                        value="500"> <?php _e( 'characters',
			'amazilon' ); ?>
    </p>
</div>

<div class="block">
    <p><b><?php _e( 'Build products images without a link to Amazon', 'amazilon' ); ?></b><br>
        <input type="checkbox" class="apn bild_ohne" value="v"> <?php _e( 'image without a link to amazon product',
			'amazilon' ); ?><br>
		<?php _e( 'Show', 'amazilon' ); ?> <select class="apn bild_ohne_num" name="bild_ohne_num">
            <option value="0"><?php _e( 'Only main image', 'amazilon' ); ?></option>
			<?php
			for ( $iNum = 1; $iNum < 7; $iNum ++ ) {
				?>
                <option value="<?php echo (int) $iNum; ?>"><?php echo sprintf( __( 'Main image + %d', 'amazilon' ),
						$iNum ); ?></option>
				<?php
			}
			?>
        </select>
		<?php _e( 'with a size of', 'amazilon' ); ?> <select class="apn bild_ohne_size" name="bild_ohne_size"
                                                             multiple="multiple" size="3">
            <option value="75"><?php echo sprintf( __( '%s Pixel', 'amazilon' ), '75x75' ); ?></option>
            <option value="160"><?php echo sprintf( __( '%s Pixel', 'amazilon' ), '160x160' ); ?></option>
            <option value="500"><?php echo sprintf( __( '%s Pixel', 'amazilon' ), '500x500' ); ?></option>
        </select>
</div>

<div class="block">
    <p><b><?php _e( 'Build products images with link to product on Amazon', 'amazilon' ); ?></b><br>
        <input type="checkbox" class="apn bild_mit" value="v"> <?php _e( 'image with a link to amazon product',
			'amazilon' ); ?><br>
		<?php _e( 'Show', 'amazilon' ); ?> <select class="apn bild_mit_num" name="bild_mit_num">
            <option value="0"><?php _e( 'Only main image', 'amazilon' ); ?></option>
			<?php
			for ( $iNum = 1; $iNum < 7; $iNum ++ ) {
				?>
                <option value="<?php echo (int) $iNum; ?>"><?php echo sprintf( __( 'Main image + %d', 'amazilon' ),
						$iNum ); ?></option>
				<?php
			}
			?>
        </select>
		<?php _e( 'with a size of', 'amazilon' ); ?> <select class="apn bild_mit_size" name="bild_mit_size"
                                                             multiple="multiple" size="3">
            <option value="75"><?php echo sprintf( __( '%s Pixel', 'amazilon' ), '75x75' ); ?></option>
            <option value="160"><?php echo sprintf( __( '%s Pixel', 'amazilon' ), '160x160' ); ?></option>
            <option value="500"><?php echo sprintf( __( '%s Pixel', 'amazilon' ), '500x500' ); ?></option>
        </select>
</div>

<div class="block">
    <p><b><?php _e( 'Create a textlink to a Amazon product', 'amazilon' ); ?></b> <br>
        <input type="checkbox" class="apn link_produkt" value="v"><?php _e( 'Link to the product', 'amazilon' ); ?><br>
        <input type="checkbox" class="apn titel_produkt_link"
               value="v"><?php _e( 'Producttitle width a link to the Amazon product', 'amazilon' ); ?><br>
        <input type="text" class="apn link_text" value="" size=""
               maxlength=""> <?php _e( 'Wanted link text (e.g. buy now at Amazon)', 'amazilon' ); ?></p>
</div>

<div class="block">
    <p><b><?php _e( 'Read and printout the prices', 'amazilon' ); ?></b> <br>
        <input type="checkbox" class="apn preis" value="v"> <?php _e( 'Current product price', 'amazilon' ); ?><br>
        <input type="checkbox" class="apn streichpreis"
               value="v"> <?php _e( 'New price, old price which has been reduced.', 'amazilon' ); ?><br>
        <input type="checkbox" class="apn streichpreis_del"
               value="v"> <?php _e( 'Cross out the discount price. Example.', 'amazilon' ); ?>:
        <del><?php _e( '9,99', 'amazilon' ); ?></del>
        <br>
        <input type="checkbox" class="apn streichpreis_del_red"
               value="v"> <?php _e( 'Cross out the discount price and colorize red. Example.', 'amazilon' ); ?>:
        <del style="color:#FF0000;"><?php _e( '9,99', 'amazilon' ); ?></del>
        <br>
        <input type="checkbox" class="apn rabatt_euro"
               value="v"> <?php _e( 'Discount in Euro, current price difference discount price', 'amazilon' ); ?><br>
        <input type="checkbox" class="apn rabatt_prozent"
               value="v"> <?php _e( 'Discount in percent, current price difference discount price', 'amazilon' ); ?><br>
        <input type="checkbox" class="apn stand"
               value="v"> <?php _e( 'State of the requested data (<i>has to be stated, if prices are displayed!</i>)',
			'amazilon' ); ?></p>
</div>

<div class="block">
    <p><b><?php _e( 'Read and show amazon-prime-state of product (if amazon prime available)', 'amazilon' ); ?></b> <br>
        <input type="checkbox" class="apn prime" value="v"> <?php _e( 'Show prime status as text', 'amazilon' ); ?><br>
        <input type="checkbox" class="apn prime_pic"
               value="v"> <?php _e( 'If is available in Amazon Prime, show the Prime logo', 'amazilon' ); ?><br>
		<?php _e( 'URL to the prime logo (image)', 'amazilon' ); ?>:<br>
        <input type="text" class="apn prime_bild" value="<?php echo plugins_url( 'gfx/ampr.png', __FILE__ ); ?>"
               size="65" maxlength=""><br>
        <input type="checkbox" class="apn prime_pic_link"
               value="v"> <?php _e( 'Link wanted (Prime-)image with the item (if Prime status is shown as picture)',
			'amazilon' ); ?></p>
</div>

<div class="block">
    <h2><?php _e( 'Copy the ShortCode and insert wherever needed.', 'amazilon' ); ?></h2>
    <p style="position: relative; max-width: 50em;">
        <label style="display: none;" class="amazilon-shortened-label"><?php _e( 'Shortened', 'amazilon' ); ?>: <input
                    type="text" class="amazilon-shortened-input" style="width: 10em;" value=""/>
            <button class="amazilon-copy-button button button-primary button-clipboard"
                    data-clipboard-target="#amazilon-tabcontent-generator-1 .amazilon-shortened-input"><span
                        class="dashicons dashicons-clipboard"
                        style="margin-top: .2em;"></span> <?php _e( 'Copy to clipboard', 'amazilon' ); ?></button>
        </label>
        <span style="position: absolute; bottom: 2em; right: 1.5em; margin-right: 5%;">
        <button class="amazilon-copy-button button button-primary button-clipboard"
                data-clipboard-target="#amazilon-tabcontent-generator-1 .apnAusgabe"><span
                    class="dashicons dashicons-clipboard"
                    style="margin-top: .2em;"></span> <?php _e( 'Copy to clipboard', 'amazilon' ); ?></button>
    </span>
        <textarea class="apnAusgabe" rows="15" style="width: 95%;" spellcheck="false"></textarea>
    </p>
</div>
